<!DOCTYPE html>
<html lang="en">
  <%- include("../partials/head.ejs")%>
  <body>
    <div class="container-fluid no-padding">
      <div class="row no-gutters">
        <div class="col-2"><%- include("../partials/sidebar.ejs")%></div>

        <div class="col-10" style="overflow-y: auto; height: 100vh">
          <nav class="navbar sticky-top bg-color d-flex align-items-center">
            <a href="/goaluser" class="a-style">
              <span class="navbar-brand ml-3 mb-0 fontsize">
                <img src="/assets/img/icon/back.svg" class="mr-2" alt="" />
                Goal
              </span>
            </a>
          </nav>

          <div class="row ml-3 mt-3">
            <div class="col-8">
              <p class="fontsize"><%= judulgoal %></p>
              <div class="d-inline-flex tahun px-3"><%= waktu %></div>

              <div class="borderbottom mt-4">
                <div class="row">
                  <div class="col-2 text-center">
                    <a
                      href="/goaluser/milestone/detail/<%= id %>"
                      class="a-style"
                    >
                      Detail
                    </a>
                  </div>
                  <div class="col-2 text-center activebottom">
                    <a
                      href="/goaluser/milestone/diskusi/<%= id %>"
                      class="a-style"
                    >
                      Diskusi
                    </a>
                  </div>
                  <div class="col-8"></div>
                </div>
              </div>
              <div class="boxcolor p-3 mt-4">
                <form action="/goaluser/diskusi" method="post">
                  <div class="row">
                    <div class="col">
                      <div class="d-flex flex-row bd-highlight">
                        <div class="bd-highlight mr-3">
                          <img src="/assets/img/goal/avatar.svg" alt="" />
                        </div>
                        <div
                          class="bd-highlight flex-grow-1"
                          style="font-size: 14px"
                        >
                          <input
                            type="hidden"
                            name="userId"
                            value="<%= id %>"
                          />
                          <input
                            type="hidden"
                            name="goalsId"
                            value="<%= param %>"
                          />
                          <div class="form-group">
                            <textarea
                              class="form-control"
                              name="detailDiskusi"
                              id="exampleFormControlTextarea1"
                              rows="4"
                              placeholder="masukkan komentar"
                              required
                            ></textarea>
                          </div>
                        </div>
                        <div class="bd-highlight ml-1 mt-auto">
                          <button
                            type="submit"
                            class="btn btn-primary btn-daftar ml-2"
                            id="daftar"
                          >
                            Kirim
                          </button>
                        </div>
                      </div>
                    </div>
                  </div>
                </form>
              </div>

              <% diskusi.forEach(data => { %>
              <div class="boxcolor p-3 mt-4 font600">
                <div class="row">
                  <div class="col">
                    <div class="d-flex flex-row bd-highlight">
                      <div class="bd-highlight mr-3">
                        <img src="/assets/img/goal/avatar.svg" alt="" />
                      </div>
                      <div class="bd-highlight mr-3">
                        <p class="namauser"><%= username %></p>
                        <p style="font-size: 14px"><%=data.diskusiDate%></p>
                      </div>
                      <div class="bd-highlight"><%= data.detailDiskusi %></div>
                    </div>
                  </div>
                </div>
              </div>
              <% }) %>
            </div>

            <div class="col-4">
              <img
                class="mt-5"
                src="/assets/img/illustration/phone-man.svg"
                class="img-fluid"
                alt=""
              />
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
